Summary:	Free UCS scalable fonts in OpenType format
Summary(pl.UTF-8):	Wolnodostępne skalowalne fonty UCS w formacie OpenType
Name:		fonts-OTF-freefont
Version:	20120503
Release:	3
License:	GPL v2
Group:		Fonts
Source0:	http://ftp.gnu.org/gnu/freefont/freefont-otf-%{version}.tar.gz
# Source0-md5:	e23c149a4cc494ac1f473f13cca16b67
Source1:	%{name}-mono.conf
Source2:	%{name}-sans.conf
Source3:	%{name}-serif.conf
URL:		http://www.gnu.org/software/freefont/
Requires(post,postun):	fontpostinst
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		otffontsdir	%{_fontsdir}/OTF

%description
This project aims to provide a set of free scalable fonts covering the
ISO 10646/Unicode UCS (Universal Character Set).

%description -l pl.UTF-8
Celem tego projektu jest udostępnienie zestawu wolnodostępnych fontów
skalowalnych pokrywających zakres uniwersalnego zestawu znaków ISO
10646/Unicode.

%prep
%setup -q -n freefont-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{otffontsdir},%{_sysconfdir}/fonts/conf.d,%{_datadir}/fontconfig/conf.avail}

cp -p *.otf $RPM_BUILD_ROOT%{otffontsdir}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/69-freefont-otf-mono.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/69-freefont-otf-sans.conf
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/fontconfig/conf.avail/69-freefont-otf-serif.conf

ln -s %{_datadir}/fontconfig/conf.avail/69-freefont-otf-mono.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
ln -s %{_datadir}/fontconfig/conf.avail/69-freefont-otf-sans.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
ln -s %{_datadir}/fontconfig/conf.avail/69-freefont-otf-serif.conf $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst OTF

%postun
fontpostinst OTF

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog README
%{otffontsdir}/FreeMono*.otf
%{otffontsdir}/FreeSans*.otf
%{otffontsdir}/FreeSerif*.otf
%{_datadir}/fontconfig/conf.avail/69-freefont-otf-*.conf
%{_sysconfdir}/fonts/conf.d/69-freefont-otf-*.conf
%changelog
* Tue Feb 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-OTF-freefont.git;a=log;h=master

* Tue Feb 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> abbdd61
- rel 3; install fontconfig files (from fc)

* Sat Oct 06 2012 Elan Ruusamäe <glen@delfi.ee> 799a99b
- release 2 (by relup.sh)

* Tue Jul 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7513350
- updated to 20120503

* Mon Sep 20 2010 blekot <blekot@pld-linux.org> d8fad81
- up to 20100919

* Thu Jan 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9648eb9
- up to 20090104

* Fri Sep 19 2008 Jakub Bogusz <qboosh@pld-linux.org> f85ce01
- updated to 20080912

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 5326b41
- OpenType version of freefont

